

function player_load()

	player = {}

	player.pic = love.graphics.newImage("images/avatar.png")
	player.x = love.graphics.getWidth() / 2 - player.pic:getWidth() / 2
	player.y = love.graphics.getHeight() - player.pic:getHeight() - 60
	player.speed = 200

	player.body = love.physics.newBody(world, player.x, player.y, "dynamic")
	player.shape = love.physics.newRectangleShape(player.pic:getWidth(), player.pic:getHeight())
	player.fixture = love.physics.newFixture(player.body, player.shape , 1)
	player.fixture:setRestitution(0)

end

function player_draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(player.pic, player.body:getX(), player.body:getY())
end

function player_move(dt)
   if love.keyboard.isDown("right") then
      player.body:applyForce(player.speed , 0)
   elseif love.keyboard.isDown("left") then
      player.body:applyForce(player.speed * -1, 0)
   --elseif love.keyboard.isDown("up") then
   --  player.body:applyForce(0, player.speed * -1)
   end
end
